Name:           arora
Version:        0.4
Release:        2%{?dist}
Summary:        A cross platform web browser

Group:          Applications/Internet
License:        GPLv2+
URL:            http://code.google.com/p/arora/
Source0:        http://arora.googlecode.com/files/%{name}-%{version}.tar.gz
Patch0:         arora-0.4-gitversion.patch
Patch1:         arora-0.4-fedorabookmarks.patch
Patch2:         arora-0.4-fedorahome.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  desktop-file-utils
%if 0%{?fedora} > 8
BuildRequires:  qt-devel >= 4.4.0
%else
BuildRequires:  qt4-devel >= 4.4.0
%endif


%description
Arora is a simple, cross platform web browser based on the QtWebKit engine.
Currently, Arora is still under development, but it already has support for
browsing and other common features such as web history and bookmarks.


%prep
%setup -q
%patch0 -p1 -b .gitversion
%patch1 -p1 -b .fedorabookmarks
%patch2 -p1 -b .fedorahome

%build
qmake-qt4 PREFIX=%{_prefix}
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make INSTALL_ROOT=$RPM_BUILD_ROOT install 

desktop-file-install --vendor fedora \
      --dir $RPM_BUILD_ROOT%{_datadir}/applications\
      --delete-original\
      $RPM_BUILD_ROOT%{_datadir}/applications/%{name}.desktop


%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc AUTHORS README ChangeLog
%doc LICENSE.GPL2 LICENSE.GPL3
%{_bindir}/arora    
%{_datadir}/applications/fedora-%{name}.desktop    
%{_datadir}/icons/hicolor/128x128/apps/arora.png
%{_datadir}/icons/hicolor/16x16/apps/arora.png
%{_datadir}/icons/hicolor/32x32/apps/arora.png
%{_datadir}/icons/hicolor/scalable/apps/arora.svg
%{_datadir}/arora/locale/*
%{_datadir}/pixmaps/arora.xpm
%{_datadir}/man/man1/arora.1.gz

%changelog
* Mon Oct 06 2008 Jaroslav Reznik <jreznik@redhat.com> - 0.4-2
- Fedora Project & Red Hat bookmarks
- Fedora Project homepage
- GIT version patch
* Wed Oct 01 2008 Jaroslav Reznik <jreznik@redhat.com> - 0.4-1
- Updated to version 0.4
* Thu Sep 25 2008 Jaroslav Reznik <jreznik@redhat.com> - 0.3-2
- Location bar's double click selects all
* Wed Aug 13 2008 Jaroslav Reznik <jreznik@redhat.com> - 0.3-1  
- Initial spec file 